using Assets;
using UnityEditor;
using UnityEngine;

namespace Editor
{
    [CustomEditor(typeof (MapRenderer))]
    public class MapRendererUI : UnityEditor.Editor
    {
        public override void OnInspectorGUI()
        {
            var target = this.target as MapRenderer;
            
            DrawDefaultInspector();

            if (GUILayout.Button("Generate"))
            {
                target.Generate();
            }
        }
    }
}